<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>ExportToGraph</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects.exporter, class: ExportToGraph">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/ExportToGraph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects.exporter</a></div>
<h1 title="Class ExportToGraph" class="title">Class ExportToGraph</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.iciObjects.exporter.ExportToGraph</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">ExportToGraph</span>
extends java.lang.Object</pre>
<div class="block">Export the ICI objects into graph formats</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#EXPORTINTERMEDIATE">EXPORTINTERMEDIATE</a></span></code></th>
<td class="col-last">
<div class="block">Do we export objects when generated ?</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">ExportToGraph</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportToGraph(java.io.File)">exportToGraph</a></span>&#8203;(java.io.File&nbsp;rootFolder)</code></th>
<td class="col-last">
<div class="block">Main method to export ICI files stored in a regular way in the rootFolder</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportToGraph(java.io.File,org.locationtech.jts.geom.Geometry,java.lang.String)">exportToGraph</a></span>&#8203;(java.io.File&nbsp;rootFolder,
org.locationtech.jts.geom.Geometry&nbsp;mask,
java.lang.String&nbsp;name)</code></th>
<td class="col-last">
<div class="block">Main method to export ICI files sored in a regular way in the rootFolder.</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportToGraph(java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection,java.io.File,java.lang.String)">exportToGraph</a></span>&#8203;(java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lBuilding,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lPOI,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lWP,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lHH,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lIndiv,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;address,
java.util.List&lt;<a href="../Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a>&gt;&nbsp;lAg,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;partition,
java.io.File&nbsp;rootFolder,
java.lang.String&nbsp;name)</code></th>
<td class="col-last">
<div class="block">Main method to export ICI files sored in a regular way in the rootFolder</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static org.geotools.data.simple.SimpleFeatureCollection</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getDiscretizeWalkable(org.geotools.data.simple.SimpleFeatureCollection)">getDiscretizeWalkable</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;spatialPartition)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="EXPORTINTERMEDIATE">
<h3>EXPORTINTERMEDIATE</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">EXPORTINTERMEDIATE</span></div>
<div class="block">Do we export objects when generated ? (mostly for generated addresses and walkable tiles)</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>ExportToGraph</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">ExportToGraph</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException,
org.locationtech.jts.io.ParseException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>org.locationtech.jts.io.ParseException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportToGraph(java.io.File)">
<h3>exportToGraph</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">exportToGraph</span>&#8203;(<span class="parameters">java.io.File&nbsp;rootFolder)</span>
                          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Main method to export ICI files stored in a regular way in the rootFolder</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>rootFolder</code> - the folder where ICI data are stored (mainly in the ./ICI/ folder)</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - when reading files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportToGraph(java.io.File,org.locationtech.jts.geom.Geometry,java.lang.String)">
<h3>exportToGraph</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">exportToGraph</span>&#8203;(<span class="parameters">java.io.File&nbsp;rootFolder,
org.locationtech.jts.geom.Geometry&nbsp;mask,
java.lang.String&nbsp;name)</span>
                          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Main method to export ICI files sored in a regular way in the rootFolder.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>rootFolder</code> - the folder where ICI data are stored (mainly in the ./ICI/ folder)</dd>
<dd><code>mask</code> - Consider only objects included in a particular geometry (optional)</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - when reading files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportToGraph(java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection,java.io.File,java.lang.String)">
<h3>exportToGraph</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">exportToGraph</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lBuilding,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lPOI,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lWP,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lHH,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;lIndiv,
java.util.List&lt;? extends <a href="../ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a>&gt;&nbsp;address,
java.util.List&lt;<a href="../Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a>&gt;&nbsp;lAg,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;partition,
java.io.File&nbsp;rootFolder,
java.lang.String&nbsp;name)</span>
                          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Main method to export ICI files sored in a regular way in the rootFolder</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - when reading files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getDiscretizeWalkable(org.geotools.data.simple.SimpleFeatureCollection)">
<h3>getDiscretizeWalkable</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.geotools.data.simple.SimpleFeatureCollection</span>&nbsp;<span class="member-name">getDiscretizeWalkable</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;spatialPartition)</span>
                                                                              throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>spatialPartition</code> - spatial partition of the space (coming from the ../../partition scala project)</dd>
<dt>Returns:</dt>
<dd>The spatial partition regularly cut with an hexagonal grid which hexagons are 20 square meters</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Reading the geofile</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/ExportToGraph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
